<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ClavesOcupadas
 *
 * @ORM\Table(name="claves_ocupadas")
 * @ORM\Entity
 */
class ClavesOcupadas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_cla_ocu", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideClaOcu;

    /**
     * @var string
     *
     * @ORM\Column(name="folio", type="string", length=20, nullable=false)
     */
    private $folio;

    /**
     * @var string
     *
     * @ORM\Column(name="motivo", type="string", length=500, nullable=false)
     */
    private $motivo;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;



    /**
     * Get ideClaOcu
     *
     * @return integer
     */
    public function getIdeClaOcu()
    {
        return $this->ideClaOcu;
    }

    /**
     * Set folio
     *
     * @param string $folio
     *
     * @return ClavesOcupadas
     */
    public function setFolio($folio)
    {
        $this->folio = $folio;
    
        return $this;
    }

    /**
     * Get folio
     *
     * @return string
     */
    public function getFolio()
    {
        return $this->folio;
    }

    /**
     * Set motivo
     *
     * @param string $motivo
     *
     * @return ClavesOcupadas
     */
    public function setMotivo($motivo)
    {
        $this->motivo = $motivo;
    
        return $this;
    }

    /**
     * Get motivo
     *
     * @return string
     */
    public function getMotivo()
    {
        return $this->motivo;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return ClavesOcupadas
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return ClavesOcupadas
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }
}
